<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Regression_Loop_NShots.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Regression__Loop__NShots_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Regression_Loop_NShots.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceRegression__Loop__NShots"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html">Regression_Loop_NShots</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa79e2e3a1d576a77cd69acf0ae3d13ab"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#aa79e2e3a1d576a77cd69acf0ae3d13ab">Regression_Loop_NShots.histories</a> = []</td></tr>
<tr class="separator:aa79e2e3a1d576a77cd69acf0ae3d13ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1494574ac28b67a284e22c65517c66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a7e1494574ac28b67a284e22c65517c66">Regression_Loop_NShots.NSPS</a> = np.arange(10, 30 , 10, dtype=int)</td></tr>
<tr class="separator:a7e1494574ac28b67a284e22c65517c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a390b4fe8556108350552c5d6b7a20a7c"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a390b4fe8556108350552c5d6b7a20a7c">Regression_Loop_NShots.scores</a> = []</td></tr>
<tr class="separator:a390b4fe8556108350552c5d6b7a20a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6301e46eaed77a0a2136a2c6397dad45"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6301e46eaed77a0a2136a2c6397dad45">Regression_Loop_NShots.count</a> = 0</td></tr>
<tr class="separator:a6301e46eaed77a0a2136a2c6397dad45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c044a068d96ee0f90f7911cd9af9ffa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a4c044a068d96ee0f90f7911cd9af9ffa">Regression_Loop_NShots.Learn</a></td></tr>
<tr class="separator:a4c044a068d96ee0f90f7911cd9af9ffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af36af97cd494c885305f4ee2782562be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af36af97cd494c885305f4ee2782562be">Regression_Loop_NShots.momLabels</a></td></tr>
<tr class="separator:af36af97cd494c885305f4ee2782562be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0837ae9fd88b49306765ab29c2e64e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#ac0837ae9fd88b49306765ab29c2e64e2">Regression_Loop_NShots.momData</a></td></tr>
<tr class="separator:ac0837ae9fd88b49306765ab29c2e64e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b95bcdf9a87ffc3543e8d72dc20037"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a26b95bcdf9a87ffc3543e8d72dc20037">Regression_Loop_NShots.DataString</a> = SpaceString(inp.momData)</td></tr>
<tr class="separator:a26b95bcdf9a87ffc3543e8d72dc20037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f34390e01b2652e07b2bed82012048"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af2f34390e01b2652e07b2bed82012048">Regression_Loop_NShots.LabelString</a> = SpaceString(inp.momLabels)</td></tr>
<tr class="separator:af2f34390e01b2652e07b2bed82012048"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32fe3b78d3a04e235ae4ab55a2256fe9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a32fe3b78d3a04e235ae4ab55a2256fe9">Regression_Loop_NShots.fname</a> = 'Errors_'+inp.Learn+'_in_'+LabelString+'_from_SSS_in_'+DataString</td></tr>
<tr class="separator:a32fe3b78d3a04e235ae4ab55a2256fe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9fd04c13c1ffafae01feec8feb1f2d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5b9fd04c13c1ffafae01feec8feb1f2d">Regression_Loop_NShots.NShotsPerSample</a></td></tr>
<tr class="separator:a5b9fd04c13c1ffafae01feec8feb1f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a605384912e7943b64c5a56eb351e3638"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a605384912e7943b64c5a56eb351e3638">Regression_Loop_NShots.NShots</a></td></tr>
<tr class="separator:a605384912e7943b64c5a56eb351e3638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af12ec2f223daded8dd04235192d9559e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af12ec2f223daded8dd04235192d9559e">Regression_Loop_NShots.Loss</a></td></tr>
<tr class="separator:af12ec2f223daded8dd04235192d9559e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2add3adcf16d798681d18f5057f86d77"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a2add3adcf16d798681d18f5057f86d77">Regression_Loop_NShots.training_generator</a></td></tr>
<tr class="separator:a2add3adcf16d798681d18f5057f86d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c630385bb7a0e2be530ad19d5f18b92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a0c630385bb7a0e2be530ad19d5f18b92">Regression_Loop_NShots.validation_generator</a></td></tr>
<tr class="separator:a0c630385bb7a0e2be530ad19d5f18b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b5de447190fb71361731cce4eaa2941"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a8b5de447190fb71361731cce4eaa2941">Regression_Loop_NShots.y_val</a> = np.array(y_val)</td></tr>
<tr class="separator:a8b5de447190fb71361731cce4eaa2941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41c9d52b4fcfd5641b1d90e34af2010d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a41c9d52b4fcfd5641b1d90e34af2010d">Regression_Loop_NShots.X_train</a></td></tr>
<tr class="separator:a41c9d52b4fcfd5641b1d90e34af2010d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d5a6a9c6c3bbbcbc3134655a4c8b26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af8d5a6a9c6c3bbbcbc3134655a4c8b26">Regression_Loop_NShots.y_train</a></td></tr>
<tr class="separator:af8d5a6a9c6c3bbbcbc3134655a4c8b26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b3af3a7ee3379cb21c8fe2f6380e8dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6b3af3a7ee3379cb21c8fe2f6380e8dd">Regression_Loop_NShots.X_val</a></td></tr>
<tr class="separator:a6b3af3a7ee3379cb21c8fe2f6380e8dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af65f3f4602947d11d2a3a41ea2fc2fd1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af65f3f4602947d11d2a3a41ea2fc2fd1">Regression_Loop_NShots.test_predictions</a></td></tr>
<tr class="separator:af65f3f4602947d11d2a3a41ea2fc2fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ff3c7b93165c17e122fcc16c8c0a9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a95ff3c7b93165c17e122fcc16c8c0a9b">Regression_Loop_NShots.best_val_loss_index</a> = np.argmin(np.array(history.history['val_loss']))</td></tr>
<tr class="separator:a95ff3c7b93165c17e122fcc16c8c0a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5172d63896483d398f0bdcb93573c215"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5172d63896483d398f0bdcb93573c215">Regression_Loop_NShots.score</a> = np.reshape(model.evaluate(validation_generator, verbose=0),(1,-1))</td></tr>
<tr class="separator:a5172d63896483d398f0bdcb93573c215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85e41237421de4de74c2d610e807bb6"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#ae85e41237421de4de74c2d610e807bb6">Regression_Loop_NShots.legend</a> = []</td></tr>
<tr class="separator:ae85e41237421de4de74c2d610e807bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1a5142a2aa0f23e61faaa4bef1f597"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6e1a5142a2aa0f23e61faaa4bef1f597">Regression_Loop_NShots.fig</a></td></tr>
<tr class="separator:a6e1a5142a2aa0f23e61faaa4bef1f597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e4d71d21cada701837db12f690db54a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5e4d71d21cada701837db12f690db54a">Regression_Loop_NShots.ax</a></td></tr>
<tr class="separator:a5e4d71d21cada701837db12f690db54a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c23ebc7b06bb4d7f75e19bda632544e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6c23ebc7b06bb4d7f75e19bda632544e">Regression_Loop_NShots.loc</a></td></tr>
<tr class="separator:a6c23ebc7b06bb4d7f75e19bda632544e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf78cc899714ef7f486d4969dac1dc76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#acf78cc899714ef7f486d4969dac1dc76">Regression_Loop_NShots.xlabel</a></td></tr>
<tr class="separator:acf78cc899714ef7f486d4969dac1dc76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069e1a7f0603b6249975b6cbbde619b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a069e1a7f0603b6249975b6cbbde619b3">Regression_Loop_NShots.ylabel</a></td></tr>
<tr class="separator:a069e1a7f0603b6249975b6cbbde619b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="Regression__Loop__NShots_8py.html">Regression_Loop_NShots.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
